#import <Foundation/NSObject.h>
#import "IComparable.h"

@interface MyComplex : NSObject <IComparable>
{
	double real;
	double imaginary;
}

-(id)init;
-(void) SetReal: (double)aReal;
-(void) SetImaginary: (double)anImaginary;
-(double) GetReal;
-(double) GetImaginary;
-(MyComplex*) Add: (MyComplex*)otherComplex;
-(MyComplex*) Multiply: (MyComplex*)otherComplex;
@end
