#import <Foundation/Foundation.h>
#import "MyComplex.h"
#import "Writer.h"
#import "Reader.h"

@interface MyComplexDemo : NSObject
{
	MyComplex* dummyA;
  MyComplex* dummyB;
	Writer* demoWriter;
	Reader* demoReader;
}

- (id) init;
- (void) WriteWelcome;
- (void) SetupDummyComplexes;
- (void) SetupDummy_A;
- (void) SetupDummy_B;
- (double) GetReal_A;
- (double) GetReal_B;
- (double) GetImaginary_A;
- (double) GetImaginary_B;
- (void) DemoOperationAdd;
- (void) DemoOperationMultiply;
@end  
