#ifndef __DISEASE__
#define __DISEASE__

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <Foundation/NSArray.h>
#include "Printing.h"

/**
 * Betegsegek osztalya.
 */

@interface Disease : NSObject <Printing> {

	NSString* name;
	NSArray* meds;
}


/**
 * Inicializalas.
 */
- (Disease*) initWithParams: (NSString*) newName: (NSArray*) newMeds;


/**
 * Accessor-ok.
 */

- (NSString*) getName;
- (void) setName: (NSString*) newName;

- (NSArray*) getMeds;
- (void) setMeds: (NSArray*) newMeds;

@end

#endif

