#ifndef __PATIENT__
#define __PATIENT__

#include "Human.h"
#include "Disease.h"



/**
 * Betegek osztalya.
 */

@interface Patient : Human {
	Disease* disease;
}


/**
 * Inicializalas.
 */

- (Patient*) initPatientWithParams 
			: (NSString*) newName 
			: (NSString*) newId 
			: (int) newAge 
			: (NSString*) newGender 
			: (Disease*) newDisease; 


- (NSString*) getDescription;
- (Disease*) getDisease;

@end


#endif
