#import "egyke.h"

@implementation Egyke
static Egyke* _instance = nil;
 
+(Egyke*)instance
{
	@synchronized(self)
	{
		if (!_instance)
			[[self alloc] init];
 
		return _instance;
	}
 
	return nil;
}
 
+(id)alloc
{
	@synchronized(self)
	{
		NSAssert(_instance == nil, @"Megprobaltad a masodik egyket letrehozni!!!");
		_instance = [super alloc];
		return _instance;
	}
 
	return nil;
}
 
-(id)init {
	self = [super init];
	if (self != nil) {
		szoveg = @"alapertelmezett egyke szoveg tartalom";
	}
 
	return self;
}
 
-(void)kiir {
	NSLog(@"Az egyke szoveg tartalma: %@", szoveg);
}

-(void)setSzoveg : (NSString*) ujSzovegTartalom
{ 
	szoveg = ujSzovegTartalom; 
	return; 
} 
@end