#import "BadGuy.h"
#import "BadAttr.h"
#import "World.h"
#include <stdlib.h>

@implementation BadGuy
	- (NSString *) getName
	{
		return myname;
	}
	- (void) setName: (NSString*) name
	{
		myname = name;
	}
	- (void) turn
	{
		int moverandom = rand() % 2;
		if ([opponent getPlace] == place)
		{
			moverandom = -1;
		}
		if (amIHurt)
		{
			--hp;
			if (hp>0)
			{
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ gyorsan felallt, hogy ujra kuzdjon.", [self getAttr], myname]];
				if (rand()%2) { moverandom = 1; }
			}
			else
			{
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ megprobalt felallni, de %@ tagjaiban mar nem maradt ero. %@ legyozte ot!", [self getAttr], myname, [self getAttr], [opponent getName]]];
				[World endOfTale];
				return;
			}
			amIHurt = 0;
		}
		switch (moverandom)
		{
			case -1: 
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ hatalmas pofont kevert le ellenfelenek.", [self getAttr], myname]]; 
				[opponent hurt];
				break;
			case 0:
				moverandom = rand() % ([World getMaxPlace]-1);
				if (moverandom >= place) ++moverandom;
				if (moverandom == [opponent getPlace])
				{
					[World printStatement: [NSString stringWithFormat: @"%@ %@ tekintettel furkeszte a %@, es meglatta ellenfelet.", myname, [self getAttr], [World getPlaceAt: moverandom]]]; 
				}
				else
				{
					[World printStatement: [NSString stringWithFormat: @"%@ %@ tekintettel furkeszte a %@, de nem volt ott senki.", myname, [self getAttr], [World getPlaceAt: moverandom]]]; 
				}
				break;
			case 1:
				moverandom = rand() % ([World getMaxPlace]-1);
				if (moverandom >= place) ++moverandom;
				place = moverandom;
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ atrohant a %@.",  [self getAttr], myname, [World getPlaceTo: moverandom]]]; 
				break;
			default:
				break;
		}
	}

	- (int) getPlace
	{
		return place;
	}
	- (id<IChar>) initWithName: (NSString*) name
	{
		myname = name;
		tul = [BadAttr alloc];
		place = rand()%[World getMaxPlace];
		amIHurt = 0;
		hp = 5;
		return self;
	}
	- (void) setOpponent: (id<IChar>) opp
	{
		opponent = opp;
	}
	- (void) hurt
	{
		amIHurt = 1;
	}
	- (NSString *) getAttr
	{
		return [tul create];
	}
@end
