#import <Foundation/Foundation.h> 
#import "IFactory.h"
#import "GoodGuy.h"
#import "BadGuy.h"
#import "NameGen1.h"
#import "IChar.h"

@interface GoodNBadTaleFactory : NSObject <ITaleFactory>
{
	id<IChar> player1;
	id<IChar> player2;	
	id<IStringFactory> names;
}
- (GoodNBadTaleFactory*) initWithNameGen: (id<IStringFactory>) ngen;

@end
