#import "GoodNBadTaleFactory.h"
#include <stdlib.h>

@implementation GoodNBadTaleFactory
	- (id <IChar>) createFirst
	{
		player1 = [[GoodGuy alloc] initWithName: [names create]];
		return player1;
	}
	- (id <IChar>) createSecond
	{
		player2 = [[BadGuy alloc] initWithName: [names create]];
		return player2;
	}
	- (NSString *) createTitle
	{
		return [NSString stringWithFormat:@"Mese %@ %@ es %@ %@ osszecsapasarol\n", [player1 getAttr], [player1 getName], [player2 getAttr], [player2 getName]];
	}
	- (GoodNBadTaleFactory*) initWithNameGen: (id<IStringFactory>) ngen
	{
		names = ngen;
		return self;
	}
@end
