#import <Foundation/Foundation.h> 
#import <stdio.h>
#import "Student.h"
#import "Teacher.h"
#import "Course.h"

//class for managing courses, teachers, students
@interface ETR : NSObject
{
  NSMutableArray *courses;
  NSMutableArray *teachers;
  NSMutableArray *students;
}
  - (id) init;
  //Add course, if not exists.
  - (void) addCourse: (Course*)c Teacher: (Teacher*)t;
  //Add student, if not exists.
  - (void) addStudent: (Student*)s;
  //Apply student to course, if both exist.
  - (void) applyCourse: (NSString*)student_eha course: (NSString*)course_code;

  //find course by code.
  - (Course*) findCourse: (NSString*)course_code;
  //find a student or teacher.
  - (EtrHuman*) findPerson: (NSString*)eha inList:(NSMutableArray*)list;
  
  //print timetable for all students in the list
  - (void) printTimeTable;
@end

