﻿#import <stdio.h>
#import <Foundation/Foundation.h>
#import <Foundation/NSException.h>
#import <Foundation/NSAutoreleasePool.h>
#import "Complex.h"
//kategoria betoltese: kiegesziti a Complex osztalyt!
#import "ComplexOperations.h"

/*
Forditas:
gcc -o complex ComplexOperations.m ComplexMain.m Complex.m -I /GNUstep/System/Library/Headers -L /GNUstep/System/Library/Libraries -lobjc -lgnustep-base -fconstant-string-class=NSConstantString 
*/

int main( int argc, const char *argv[] ) {
    //uj objektum letrehozasa
    //eloszor memoria allokalas, majd inicializalas
    Complex *c = [[Complex alloc] init];

    //ertekek beallitasa uzenetkuldessel uzenet: parameter formatumban
    [c setReal: 1.2];
    [c setImaginary: 3.4];

    printf( "A komplex szam: " );
    [c print];
    printf( "\n" );
            
    Complex *c2 = [[Complex alloc] init];
    //tobb uzenet/parameter kuldese az objektumnak
    [c2 setReal: 5.6 andImaginary: 7.8];
    printf( "Egy masik komplex szam: " );
    [c2 print];
    printf( "\n" );
    
    //kategoria felhasznalasa: az eredeti osztalyban meg nincs is add
    //emiatt warning, de lefordul, es mukodik is
    Complex *c3 = [c add: c2];
    printf( "Az osszeguk: \n" );
    [c3 print];
    printf("\n");
    
    //memoria felszabaditasa
    [c release];
    [c2 release];
    [c3 release];
    return 0;
}
