#ifndef __DOCTOR__
#define __DOCTOR__


#include <Foundation/NSArray.h>
#include "Human.h"
#include "Disease.h"

/*
 * Orvosok osztalya.
 */

@interface Doctor : Human {
	NSArray* diseases;
}


/**
 * Inicializalas.
 */
- (Doctor*) initDoctorWithParams 
			: (NSString*) newName 
			: (NSString*) newId 
			: (int) newAge 
			: (NSString*) newGender 
			: (NSArray*) newDiseases;


- (NSString*) getDescription;
- (NSArray*) getDiseases;
@end

#endif
