#include "Doctor.h"


/**
 * Orvosok osztalya.
 */
@implementation Doctor


/**
 * Inicializalas.
 */
-(Doctor*) initDoctorWithParams 
                : (NSString*) newName 
		: (NSString*) newId 
		: (int) newAge 
		: (NSString*) newGender 
		: (NSArray*) newDiseases {

	[self initWithParams: newName : newId: newAge : newGender];
	
	diseases = newDiseases;
}

- (NSString*) getDescription {

	NSString* description = @"";

	description = [description stringByAppendingString: [self print]];
	description = [description stringByAppendingString: @"Diseases: "];
	description = [description stringByAppendingString: [diseases description]];
	description = [description stringByAppendingString: @"; "];

	return description;
}

- (NSArray*) getDiseases {
	return diseases;
}

@end

