
#include "Patient.h"


@implementation Patient

- (Patient*) initPatientWithParams
		        : (NSString*) newName
			: (NSString*) newId 
			: (int) newAge 
			: (NSString*) newGender
			: (Disease*) newDisease {
																	

	[self initWithParams: newName : newId : newAge : newGender];

	disease = newDisease;
}

- (NSString*) getDescription {
        NSString* description = [self print];

        description = [description stringByAppendingString: @"Disease: "];
        description = [description stringByAppendingString: [disease getName]];
        description = [description stringByAppendingString: @"; "];

	return description;
}

- (Disease*) getDisease {
	return disease;
}

@end
