//
//  HelloWorldLayer.h
//  MonkeyRunner
//
//  Created by Ákos Belákovics on 5/18/12.
//  Copyright __MyCompanyName__ 2012. All rights reserved.
//


// When you import this file, you import all the cocos2d classes
#import "cocos2d.h"
#import "Box2D.h"
#import "GLES-Render.h"
#import "MyContactListener.h"

// HelloWorldLayer
@interface MonkeyWorldLayer : CCLayer
{
	b2World* world;
	GLESDebugDraw *m_debugDraw;
	
	b2Fixture *armFixture;
	b2Body *armBody;
	b2RevoluteJoint *armJoint;
	b2MouseJoint *mouseJoint;
	b2Body *groundBody;
	
	// ammo
	NSMutableArray *bullets;
	uint currentBullet;
	
	b2Body *bulletBody;
	b2WeldJoint *bulletJoint;
	
	BOOL releasingArm;
	
	NSMutableSet *trees;
	NSMutableSet *monkeys;
	
	// zoom logic
	float oldDist, currentScale;
	CGPoint oldPos;
	
	CCLayerColor *zoombase;
	CCSprite *background;
	
	CGPoint ZB_last_posn;
	
	// Collision
	MyContactListener *contactListener;
	BOOL checkCollision;
}

// returns a CCScene that contains the HelloWorldLayer as the only child
+(CCScene *) scene;

@end
