#import "state.h" 
#import "szamla.h" 
#import "negativUgyfel.h" 
#import "ezustUgyfel.h" 

@implementation NegativUgyfel 

- (NegativUgyfel*) inicParameterrel : (State*) state
{ 
    return [ self inic : state.egyenleg sz: state.szamla ];
} 
- (NegativUgyfel*) inic : (double) egyenlege sz: (Szamla*) szamlaa
{ 
	egyenleg = egyenlege;
	szamla = szamlaa;        
	[ self initialize ];
	return self;
}
- (void) initialize
{ 
	_kamat = 0.0;
    _alsoLimit = -100.0;
    _felsoLimit = 0.0;
} 

- (void) befizet: (double) osszeg
{ 
	egyenleg += osszeg;
    [ self AllapotValtozasEllenorzese ];
} 
- (void) kivesz: (double) osszeg
{ 
	NSLog (@"Nincs eleg penz a szamlan kifizeteshez!");
} 
- (void) kamatotJovair
{ 
	
} 
- (void) AllapotValtozasEllenorzese
{ 
	if (egyenleg > _felsoLimit)
	{
	szamla.allapot = [[ EzustUgyfel alloc ] inicParameterrel : self ];
	}
} 
- (void) allapotKiir
{
	NSLog (@"Allapot = negativUgyfel");  
}
@end ;