#import "GoodGuy.h"
#import "GoodAttr.h"
#import "World.h"
#include <stdlib.h>

@implementation GoodGuy
	- (NSString *) getName
	{
		return myname;
	}
	- (void) setName: (NSString*) name
	{
		myname = name;
	}
	- (void) turn
	{
		int moverandom = rand() % 2;
		if ([opponent getPlace] == place)
		{
			moverandom = -1;
		}
		
		if (amIHurt)
		{			
			if (rand()%2) { moverandom = 1; }
			if (moverandom == 1)
			{
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ felpattant, es menekulni kezdett.", [self getAttr], myname]];
			}
			else
			{
				[World printStatement: [NSString stringWithFormat: @"A %@ %@ gyorsan felallt, hogy ujra kuzdjon.", [self getAttr], myname]];
			}
			amIHurt = 0;
		}
		
		switch (moverandom)
		{
			case -1: 
				switch (rand()%3)
				{
					case 0: [World printStatement: [NSString stringWithFormat: @"A %@ %@ nagy lendulettel rontott neki ellenfelenek.", [self getAttr], myname]];  break;
					case 1: [World printStatement: [NSString stringWithFormat: @"A %@ %@ %@ sebesseggel ugrott ellenfelenek, es teritette le.", [self getAttr], myname, [self getAttr]]];  break;
					default: [World printStatement: [NSString stringWithFormat: @"A %@ %@ hatalmas pofont kevert le ellenfelenek.", [self getAttr], myname]];  break;
				}
				[opponent hurt];
				break;
			case 0:
				moverandom = rand() % ([World getMaxPlace]-1);
				if (moverandom >= place) ++moverandom;
				if (moverandom == [opponent getPlace])
				{
					switch (rand()%3)
					{
						case 0: [World printStatement: [NSString stringWithFormat: @"%@ eppen %@ ellenfelet kereste a %@ kozott, amikor hirtelen meglatta.", myname, [opponent getAttr], [World getPlace: moverandom]]];  break;
						case 1: [World printStatement: [NSString stringWithFormat: @"%@ a %@ fele nezett, es meglatta ellenfelet.", myname, [World getPlace: moverandom]]];  break;
						default: [World printStatement: [NSString stringWithFormat: @"%@ %@ tekintettel furkeszte a %@, es meglatta ellenfelet.", myname, [self getAttr], [World getPlaceAt: moverandom]]];  break;
					}
				}
				else
				{
					switch (rand()%3)
					{
						case 0: [World printStatement: [NSString stringWithFormat: @"%@ %@ ellenfelet kereste a %@ kozott, de teljesen eredmenytelenul.", myname, [opponent getAttr], [World getPlace: moverandom]]];  break;
						case 1: [World printStatement: [NSString stringWithFormat: @"%@ a %@ fele nezett, de nem volt ott senki.", myname, [World getPlace: moverandom]]];  break;
						default: [World printStatement: [NSString stringWithFormat: @"%@ %@ tekintettel furkeszte a %@, de nem latott ott senkit.", myname, [self getAttr], [World getPlaceAt: moverandom]]];  break;
					}
				}
				break;
			case 1:
				moverandom = rand() % ([World getMaxPlace]-1);
				if (moverandom >= place) ++moverandom;
				place = moverandom;
				switch (rand()%3)
				{
					case 0: [World printStatement: [NSString stringWithFormat: @"A %@ %@ atment a %@.",  [self getAttr], myname, [World getPlaceTo: moverandom]]];  break;
					case 1: [World printStatement: [NSString stringWithFormat: @"A %@ %@ a %@ ment hogy tovabb keresse ellenfelet.",  [self getAttr], myname, [World getPlaceTo: moverandom]]];  break;
					default: [World printStatement: [NSString stringWithFormat: @"A %@ %@ atrohant a %@.",  [self getAttr], myname, [World getPlaceTo: moverandom]]];  break;
				}
				break;
			default: break;
		}
	}
	- (int) getPlace
	{
		return place;
	}
	- (id<IChar>) initWithName: (NSString*) name
	{
		myname = name;
		tul = [GoodAttr alloc];
		place = rand()%[World getMaxPlace];
		amIHurt = 0;
		return self;
	}
	- (void) setOpponent: (id<IChar>) opp
	{
		opponent = opp;
	}
	- (void) hurt
	{
		amIHurt = 1;
	}
	- (NSString *) getAttr
	{
		return [tul create];
	}
@end
