#import <Foundation/Foundation.h> 
#import "Teacher.h"

@class Student;

@interface Course : NSObject
{
  Teacher *teacher_;
  NSMutableArray *students;

  NSString *code_;
  NSString *room_;
  int day_;
  int start_;
  int duration_;
}

@property (assign, readwrite) Teacher *teacher;

//eg.: IPM-08sztPNYPG/x3
@property (readonly) NSString *code;

//eg.: D 1-819
@property (copy, readwrite) NSString *room;

//day of week, in [1, 7]
@property (assign, readwrite) int day;

//minutes from midnight
@property (assign, readwrite) int start;

//duration in minutes
@property (assign, readwrite) int duration;

  //init function
  - (id) initWithCode:(NSString *)_code;

  //add attending student
  - (void) addStudent:(Student *)student;

  - (void) printData;

@end

