#import "Course.h"

@implementation Course

@synthesize teacher=teacher_, code=code_, room=room_, day=day_, start=start_, duration=duration_;

  - (id) initWithCode:(NSString *)_code
    {
      if (self = [super init])
      {
         code_ = _code;
         students = [[NSMutableArray alloc] init];
      }
      return self;
    }

  - (void) printData
    {
      printf("Code: %s\n", [code_ UTF8String]);
      printf("Room: %s\n", [room_ UTF8String]);
      printf("Teacher: %s (%s)\n",
        [teacher_.name UTF8String], [teacher_.eha UTF8String]);
      printf("On the %i. day of the week\n", day_);
      printf("Starts at %i:%i\n",
             start_ / 60, start_ % 60);
      printf("Is %i minutes long\n", duration_);
      printf("Total number of students: %i\n", [students count]);
    }

  - (void) addStudent:(Student *)student
    {
       [students addObject:student];
    }
@end


