#import "Course.h"
#import "Teacher.h"
#import "Student.h"
#import "ETR.h"

void getStudent(ETR *etr)
{
  char eha[80];
  char name[80];
  printf("Student EHA code: ");
  scanf("%s", eha); 
  printf("Student name: ");
  scanf("%s", name); 
  NSString *eha_str = [[NSString alloc] initWithUTF8String:eha];
  NSString *name_str = [[NSString alloc] initWithUTF8String:name];
  Student *student = [[Student alloc] init:eha_str Name:name_str];
  [etr addStudent: student];
}

void getCourse(ETR *etr)
{
  char str[80];

  Course *course = [Course alloc];
  Teacher *teacher = [Teacher alloc];

  printf("Course code: ");
  scanf("%s",str); 
  [course initWithCode:[[NSString alloc] initWithUTF8String:str]];

  char eha[80];
  char name[80];
  printf("Teacher EHA code: ");
  scanf("%s",eha); 
  printf("Teacher name: ");
  scanf("%s", name); 
  NSString *eha_str = [[NSString alloc] initWithUTF8String:eha];
  NSString *name_str = [[NSString alloc] initWithUTF8String:name];
  [teacher init:eha_str Name:name_str];
  course.teacher = teacher;

  printf("Course day [1-7]: ");
  int day = -1;
  while (day < 1 || day > 7)
    scanf("%i",&day); 
  course.day = day;

  int hour = -1, min = -1;
  printf("Starting hour [0-23]: ");
  while (hour < 0 || hour > 23)
    scanf("%i", &hour); 
  printf("Starting minute [0-59]: ");
  while (min < 0 || min > 59)
    scanf("%i", &min); 
  course.start = hour * 60 + min;

  int duration = -1;
  printf("Duration in minute: ");
  while (duration <= 0)
    scanf("%i", &duration); 
  course.duration = duration;

  printf("Room number: ");
  scanf("%s",str); 
  course.room = [[NSString alloc] initWithUTF8String:str];
  teacher.teaches = course;

  [etr addCourse: course Teacher: teacher];
}

void getApplication(ETR *etr)
{
  char student_eha[80];
  char course_code[80];
  printf("Student EHA code: ");
  scanf("%s", student_eha); 
  printf("Course code: ");
  scanf("%s", course_code); 
  NSString *eha_str = [[NSString alloc] initWithUTF8String:student_eha];
  NSString *code_str = [[NSString alloc] initWithUTF8String:course_code];
  [etr applyCourse: eha_str course: code_str];
}

void getInputData(ETR *etr)
{
  int student_number;
  printf("Commands: add student (s), add course (c), apply course (a), done (d)\n");
  char c = '\0';
  while (c != 'd')
  {
    printf("command: ");
    c = '\0';
    while (c != 's' && c != 'c' && c != 'a' && c != 'd')
      scanf("%c", &c); 
    switch(c)
    {
       case 's': getStudent(etr); break;
       case 'c': getCourse(etr); break;
       case 'a': getApplication(etr); break;
       default: break;
    }
  }  
}
