#import "Course.h"
#import "Teacher.h"
#import "Student.h"
#import "ETR.h"

void getSampleData(ETR *etr)
{
  //two students
  Student *rp = [[Student alloc] init:@"TAAOACI.ELTE" Name:@"Tamasi Arpad"];
  Student *gabor = [[Student alloc] init:@"ANGPABI.ELTE" Name:@"Angyal Gabor"];

  [etr addStudent:gabor];
  [etr addStudent:rp];

  //1. course
  Teacher *nygjdr = [[Teacher alloc] init:@"NYGKAAT.ELTE" Name:@"Nyekyne Gaizler Judit dr."];
  Course *pnyp = [[Course alloc] initWithCode:@"IPM-08sztPNYPG/x3"];
  pnyp.teacher = nygjdr;
  pnyp.day = 4;
  pnyp.start = 13 * 60 + 45;
  pnyp.duration = 90;
  pnyp.room = @"D 1-819";
  nygjdr.teaches = pnyp;
  [etr addCourse: pnyp Teacher: nygjdr];

  //2. course
  Teacher *cszdr = [[Teacher alloc] init:@"CSZKAAT.ELTE" Name:@"Csornyei Zoltan dr."];
  Course *fnyi = [[Course alloc] initWithCode:@"IPM-08sztFNYIE/1"];
  fnyi.teacher = cszdr;
  fnyi.day = 4;
  fnyi.start = 19 * 60 + 30;
  fnyi.duration = 90;
  fnyi.room = @"D 0-805";
  cszdr.teaches = fnyi;
  [etr addCourse: fnyi Teacher: cszdr];

  //3. course
  Teacher *kldr = [[Teacher alloc] init:@"KOLKABT.ELTE" Name:@"Kozma Laszlo dr."];
  Course *kasz = [[Course alloc] initWithCode:@"IPM-08sztKASZE/1"];
  kasz.teacher = kldr;
  kasz.day = 3;
  kasz.start = 17 * 60 + 45;
  kasz.duration = 90;
  kasz.room = @"D 0-822";
  nygjdr.teaches = kasz;
  [etr addCourse: kasz Teacher: kldr];

  [etr applyCourse:rp.eha course:pnyp.code];
  [etr applyCourse:rp.eha course:fnyi.code];

  [etr applyCourse:gabor.eha course:pnyp.code];
  [etr applyCourse:gabor.eha course:kasz.code];
}
