#import "Course.h"
#import "Teacher.h"
#import "Student.h"
#import "SampleData.h"
#import "InputData.h"
#import "ETR.h"

int main (int argc, const char * argv[]) {

  NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];


  ETR *etr = [[ETR alloc] init];
 
  if (argc == 1)
    getInputData(etr);
  else if (argv[1][0] == '-' && argv[1][1] == 's')
    getSampleData(etr);
  else
  {
    fprintf(stderr, "Invalid command line argument.\n");
    return 1;
  }

  [etr printTimeTable];  

  [pool drain];
  return 0;
}

